Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libunicap
#Epoch:		0
Version:	0.9.8
Release:	1
License:	GNU/GPLv2
URL:		http://unicap-imaging.org
Group:		System/Libraries
Summary:	uniform API for image aquisiton devices
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libraw1394-devel
BuildRequires: pkg-config

%description
unicap provides a uniform interface to video capture devices. It allows applications to use any supported video capture device via a single API.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libunicap.so.*
%{_libdir}/unicap2
%{_locale}/*/LC_MESSAGES/unicap.mo

%files devel
%defattr(-,root,root)
%{_includedir}/unicap
%{_libdir}/libunicap.a
%{_libdir}/libunicap.la
%{_libdir}/libunicap.so
%{_pkgconfig}/libunicap.pc
%{_datadir}/gtk-doc/html/libunicap/ch01.html
%{_datadir}/gtk-doc/html/libunicap/home.png
%{_datadir}/gtk-doc/html/libunicap/index.html
%{_datadir}/gtk-doc/html/libunicap/index.sgml
%{_datadir}/gtk-doc/html/libunicap/left.png
%{_datadir}/gtk-doc/html/libunicap/libunicap.devhelp
%{_datadir}/gtk-doc/html/libunicap/libunicap.devhelp2
%{_datadir}/gtk-doc/html/libunicap/libunicap-unicap.html
%{_datadir}/gtk-doc/html/libunicap/right.png
%{_datadir}/gtk-doc/html/libunicap/style.css
%{_datadir}/gtk-doc/html/libunicap/up.png

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Jul 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.8-1
- initial CCux package release
